Applications
List application custom targets
List all custom targets available for this application, including both workspace-level and application-level targets for platforms attached to the app. Requires applications:read (workspace key) or application:read (application key) scope.
GET
/applications/{application_id}/custom-targetsAuthorization
bearerAuth AuthorizationBearer <token>
API key. Bearer authentication header of the form Bearer <token>, where <token> is your Workspace or Application API key.
In: header
Path Parameters
application_id*string
Application ID.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.comapplications/aBc1234/custom-targets" \ -H "Authorization: Bearer YOUR_API_KEY"{ "message": "Application custom targets retrieved successfully.", "data": [ { "id": "550e8400-e29b-41d4-a716-446655440010", "name": "Samsung Galaxy Store", "description": "Builds distributed via Samsung Galaxy Store", "level": "workspace", "platform": { "identifier": "android", "name": "Android" }, "icon_url": null, "created_at": "2025-06-10T09:15:00.000000Z", "updated_at": "2025-06-15T14:30:00.000000Z" } ]}{ "message": "Unauthorized"}{ "message": "This action requires 'resource:action' scope."}